## ECA Recipe: Send email on user registration with field values

ID: eca_lib_0025

This model sends an email to a user that has just registered on the site. That email contains field values, that the user just provided in the registration form, where one of the fields is mandatory and the other one is optional. The email message is different, depending upon the optional field being filled or not.

The creation of this model was recorded and [can be watched here](https://tube.tchncs.de/w/7oZPDv2fWfg3fpHENjCqpK).

### Installation

```shell
composer require drupal-eca-recipe/eca_lib_0025
cd web && php core/scripts/drupal recipe ../vendor/drupal-eca-recipe/eca_lib_0025
```